dpkg-gencontrol(1)

NOME
dpkg-gencontrol - gera ficheiros de controle Debian

RESUMO
dpkg-gencontrol [option...]

DESCRIÇÃO
dpkg-gencontrol lê informação a partir duma árvore fonte Debian desempacotada e gera um ficheiro de controle de pacote binário (que por predefinição é debian/tmp/DEBIAN/control); durante este processo irá simplificar so campos de relação.

Portanto Pre-Depends, Depends, Recommends e Suggests são simplificados nesta ordem ao se remover dependências que se sabe serem verdadeiras de acordo com as dependências mais fortes já analisadas. Irá também remover qualquer auto-dependência (de facto irá remover qualquer dependência que avalia para verdadeira dado a versão actual do pacote como instalado). Logicamente mantém a intersecção de múltiplas dependências no mesmo pacote. A ordem de dependências é preservada o melhor possível. Se qualquer dependência deve ser descartada devido a outra dependência que aparece mais à frente no campo, a dependência substituta irá tomar o lugar da descartada.

Os outros campos de relação (Enhances, Conflicts, Breaks, Replaces e Provides) são também simplificados individualmente ao computar a união de várias dependências quando um pacote é listado várias vezes no campo.

dpkg-gencontrol também adiciona uma entrada para o pacote binário em debian/files.

OPÇÕES

-vversion
    Define o número de versão do pacote binário que será gerado.

-Vname=value
    Define uma variável de substituição de resultado. Veja deb-substvars(5) para discussão sobre substituição de resultado.

-Tsubstvars-file
    Lê variáveis de substituição em substvars-file; a predefinição é debian/substvars. Esta opção pode ser usada várias vezes para ler variáveis de substituição a partir de vários ficheiros (desde dpkg 1.15.6).

-Dfield=value
    Sobrepõe ou adiciona um campo de ficheiro de controle de resultado.

-Ufield
    Remove um campo de ficheiro de controle de resultado.

-ccontrol-file
    Especifica o ficheiro de controle fonte principal de onde ler informação. A predefinição é debian/control.

-lchangelog-file
    Especifica o ficheiro de registo de alterações de onde ler informação. A predefinição é debian/changelog.

-ffiles-list-file
    Lê ou escreve a lista de ficheiros a ser enviada para aqui, em vez de usar debian/files.

-Fchangelog-format
    Especifica o formato do registo de alterações. Veja dpkg-parsechangelog(1) para informação acerca dos formatos alternativos.

-ppackage
    Gera informação para o pacote binário package. Se o ficheiro de controle fonte listar apenas um pacote binário então esta opção pode ser omitida; caso contrário é essencial para seleccionar que informação de quais pacotes binário gerar.

-nfilename
    Assume que o nome do ficheiro do pacote será filename em vez do nome de ficheiro normal pacote_versão_arquitectura.deb.

-is, -ip, -isp
    Estas opções são ignoradas para compatibilidade com versões mais antigas dos scripts de compilação do dpkg, mas estão agora descontinuadas. Anteriormente eram usadas para dizer ao dpkg-gencontrol para incluir os campos Section e Priority no ficheiro de controle. Este agora é o comportamento predefinido. Se você deseja obter o comportamento antigo, você pode usar a opção -U para apagar os campos do ficheiro de controle.

-Ppackage-build-dir
    Sonda package-build-dir em vez de debian/tmp. Este valor é usado para encontrar o valor predefinido da variável de substituição Installed-Size e o campo de ficheiro de controlo, e para a localização predefinida do ficheiro de saída.

-O[filename]
    Escreve o ficheiro de controle na saída standard (ou filename se especificado, (desde dpkg 1.17.2), em vez de para debian/tmp/DEBIAN/control (ou package-build-dir/DEBIAN/control se -P foi usado).

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DEB_HOST_ARCH
    Define a arquitectura da máquina anfitriã.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

debian/control
    O ficheiro de controle modelo do pacote fonte, que fornece informação independente da versão acerca do pacote fonte e dos pacotes binários que pode gerar.

debian/files
    A lista de ficheiros gerados que fazem parte do envio a ser preparado. dpkg-gencontrol adiciona os nomes de ficheiros presumidos de pacotes binários cujos ficheiros de controlo gera aqui.

VEJA TAMBÉM
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.